curl --request PATCH \
--url https://api.1club.ai/v1/platform/smart-tag-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"engagement": {},
"financial": {},
"lifecycle": {},
"level": {},
"membership": {},
"age": {},
"newContact": {},
"paymentMethod": {},
"relationship": {},
"language": {},
"progression": {},
"assessment": {},
"interest": {},
"scoring": {}
}
'import requests
url = "https://api.1club.ai/v1/platform/smart-tag-settings"
payload = {
"engagement": {},
"financial": {},
"lifecycle": {},
"level": {},
"membership": {},
"age": {},
"newContact": {},
"paymentMethod": {},
"relationship": {},
"language": {},
"progression": {},
"assessment": {},
"interest": {},
"scoring": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engagement: {},
financial: {},
lifecycle: {},
level: {},
membership: {},
age: {},
newContact: {},
paymentMethod: {},
relationship: {},
language: {},
progression: {},
assessment: {},
interest: {},
scoring: {}
})
};
fetch('https://api.1club.ai/v1/platform/smart-tag-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/smart-tag-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'engagement' => [
],
'financial' => [
],
'lifecycle' => [
],
'level' => [
],
'membership' => [
],
'age' => [
],
'newContact' => [
],
'paymentMethod' => [
],
'relationship' => [
],
'language' => [
],
'progression' => [
],
'assessment' => [
],
'interest' => [
],
'scoring' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/smart-tag-settings"
payload := strings.NewReader("{\n \"engagement\": {},\n \"financial\": {},\n \"lifecycle\": {},\n \"level\": {},\n \"membership\": {},\n \"age\": {},\n \"newContact\": {},\n \"paymentMethod\": {},\n \"relationship\": {},\n \"language\": {},\n \"progression\": {},\n \"assessment\": {},\n \"interest\": {},\n \"scoring\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.1club.ai/v1/platform/smart-tag-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"engagement\": {},\n \"financial\": {},\n \"lifecycle\": {},\n \"level\": {},\n \"membership\": {},\n \"age\": {},\n \"newContact\": {},\n \"paymentMethod\": {},\n \"relationship\": {},\n \"language\": {},\n \"progression\": {},\n \"assessment\": {},\n \"interest\": {},\n \"scoring\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/smart-tag-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"engagement\": {},\n \"financial\": {},\n \"lifecycle\": {},\n \"level\": {},\n \"membership\": {},\n \"age\": {},\n \"newContact\": {},\n \"paymentMethod\": {},\n \"relationship\": {},\n \"language\": {},\n \"progression\": {},\n \"assessment\": {},\n \"interest\": {},\n \"scoring\": {}\n}"
response = http.request(request)
puts response.read_body{
"engagement": {},
"financial": {},
"lifecycle": {},
"level": {},
"membership": {},
"age": {},
"newContact": {},
"paymentMethod": {},
"relationship": {},
"language": {},
"progression": {},
"assessment": {},
"interest": {},
"scoring": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Update smart tag rules
Changes some categories of the smart tag rules and keeps the rest. Each category sent is merged field by field into the organization’s, so { "engagement": { "enabled": true } } switches one category on; a tags list sent replaces that category’s list, so read the rules first and send the whole list back with your edits. A tag keeps its id across a rename. Contacts are re-tagged by the next tagging pass, not at once. Requires contacts:write.
curl --request PATCH \
--url https://api.1club.ai/v1/platform/smart-tag-settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"engagement": {},
"financial": {},
"lifecycle": {},
"level": {},
"membership": {},
"age": {},
"newContact": {},
"paymentMethod": {},
"relationship": {},
"language": {},
"progression": {},
"assessment": {},
"interest": {},
"scoring": {}
}
'import requests
url = "https://api.1club.ai/v1/platform/smart-tag-settings"
payload = {
"engagement": {},
"financial": {},
"lifecycle": {},
"level": {},
"membership": {},
"age": {},
"newContact": {},
"paymentMethod": {},
"relationship": {},
"language": {},
"progression": {},
"assessment": {},
"interest": {},
"scoring": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
engagement: {},
financial: {},
lifecycle: {},
level: {},
membership: {},
age: {},
newContact: {},
paymentMethod: {},
relationship: {},
language: {},
progression: {},
assessment: {},
interest: {},
scoring: {}
})
};
fetch('https://api.1club.ai/v1/platform/smart-tag-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.1club.ai/v1/platform/smart-tag-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'engagement' => [
],
'financial' => [
],
'lifecycle' => [
],
'level' => [
],
'membership' => [
],
'age' => [
],
'newContact' => [
],
'paymentMethod' => [
],
'relationship' => [
],
'language' => [
],
'progression' => [
],
'assessment' => [
],
'interest' => [
],
'scoring' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.1club.ai/v1/platform/smart-tag-settings"
payload := strings.NewReader("{\n \"engagement\": {},\n \"financial\": {},\n \"lifecycle\": {},\n \"level\": {},\n \"membership\": {},\n \"age\": {},\n \"newContact\": {},\n \"paymentMethod\": {},\n \"relationship\": {},\n \"language\": {},\n \"progression\": {},\n \"assessment\": {},\n \"interest\": {},\n \"scoring\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.1club.ai/v1/platform/smart-tag-settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"engagement\": {},\n \"financial\": {},\n \"lifecycle\": {},\n \"level\": {},\n \"membership\": {},\n \"age\": {},\n \"newContact\": {},\n \"paymentMethod\": {},\n \"relationship\": {},\n \"language\": {},\n \"progression\": {},\n \"assessment\": {},\n \"interest\": {},\n \"scoring\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.1club.ai/v1/platform/smart-tag-settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"engagement\": {},\n \"financial\": {},\n \"lifecycle\": {},\n \"level\": {},\n \"membership\": {},\n \"age\": {},\n \"newContact\": {},\n \"paymentMethod\": {},\n \"relationship\": {},\n \"language\": {},\n \"progression\": {},\n \"assessment\": {},\n \"interest\": {},\n \"scoring\": {}\n}"
response = http.request(request)
puts response.read_body{
"engagement": {},
"financial": {},
"lifecycle": {},
"level": {},
"membership": {},
"age": {},
"newContact": {},
"paymentMethod": {},
"relationship": {},
"language": {},
"progression": {},
"assessment": {},
"interest": {},
"scoring": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"details": {}
}Authorizations
Organization-scoped bearer credential: a customer API key (1club_sk_live_...) or an MCP OAuth access token.
Body
The smart tag rules, by category. Each tagged category is { enabled, tags: [{ id, name, color, ...threshold }] }; interest is { enabled, minBookings }; scoring is { enabled, weights: { financial, services, physical, engagement } (summing to 100), timeWindows }. On a PATCH, send only the categories that change.
Response
The smart tag rules as saved
The smart tag rules, by category. Each tagged category is { enabled, tags: [{ id, name, color, ...threshold }] }; interest is { enabled, minBookings }; scoring is { enabled, weights: { financial, services, physical, engagement } (summing to 100), timeWindows }. On a PATCH, send only the categories that change.
Was this page helpful?